Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040477
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-03-28 13:392019-05-06 11:35
Reportersamuel_nicuesaView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revisionc188e7072d9a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040477: Cancel Button removes tickets doing the cash up from the previous day.

DescriptionCancel Button removes tickets doing the cash up from the previous day.
Steps To Reproduce[POS]

User 1

Create 1 ticket and add payment

Don't pay it

Click on Lock screen

User 2

Create 1 ticket and add payment

Don't pay it

Click on lock screen

Don't do cash up

[BO]

Execute close store

Execute open store setting a new Business Date

[POS]

Login using User 1

Cash up needs to be done

Click on Bring all button

Click on delete all button and the tickets won't be deleted because there are payments associated

Click on Cancel Button and OBPOS_preRemovePayment is being executed.

I think that it is not correct.

If you press Cancel Button you should have all pending tickets with payment in this Terminal.

 
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040326 closedranjith_qualiantech_com Doing cash up Delete all button is not working properly. 

-  Notes
(0111364)
hgbot (developer)
2019-04-26 21:33

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: faf0314ec02f4a619765fe27e3f22a6695c118e7
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Sun Mar 31 18:55:39 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/faf0314ec02f4a619765fe27e3f22a6695c118e7 [^]

Fixed issue 40477: Cancel Button removes tickets doing the cash up from the
previous day.

- Avoided remove all pending tickets with payment when "Cancel" button is clicked
on Cash Up popup.

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0111369)
marvintm (developer)
2019-04-29 13:14

This commit is adding a dependency from posterminal to sessions module as it is checking several properties belonging to the sessions module (the ones which start with "poss_").

Moreover, it is also unclear why these need to be checked. In fact, ideally a simpler solution would just be to force a "lock" instead of a "logout" when the cancel button is pressed. This way no tickets would be deleted, which is most likely the preferred route in this scenario.
(0111374)
hgbot (developer)
2019-04-29 20:16

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 491e047df8d99a18f5868d1565d85549aac28f95
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon Apr 29 13:01:29 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/491e047df8d99a18f5868d1565d85549aac28f95 [^]

Fixed issue 40477: Cancel Button removes tickets doing the cash up from the
previous day.

- Pending to be paid orders will be removed on logout just if it do not have
payments related, in other case terminal will be lock.

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0111375)
hgbot (developer)
2019-04-29 20:17

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: c188e7072d9a3b4078383d3141de8b743a34c504
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon Apr 29 13:00:46 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/c188e7072d9a3b4078383d3141de8b743a34c504 [^]

Fixed issue 40477: Cancel Button removes tickets doing the cash up from the
previous day.

- Pending to be paid orders will be removed on logout just if it do not have
payments related, in other case terminal will be lock.

---
M web/org.openbravo.retail.sessions/js/components/loginhook.js
---

- Issue History
Date Modified Username Field Change
2019-03-28 13:39 samuel_nicuesa New Issue
2019-03-28 13:39 samuel_nicuesa Assigned To => Retail
2019-03-28 13:39 samuel_nicuesa Triggers an Emergency Pack => No
2019-03-28 14:21 rafaroda Relationship added related to 0040326
2019-03-28 14:26 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-03-28 15:21 rqueralta Assigned To ranjith_qualiantech_com => rqueralta
2019-04-26 21:33 hgbot Checkin
2019-04-26 21:33 hgbot Note Added: 0111364
2019-04-26 21:33 hgbot Status new => resolved
2019-04-26 21:33 hgbot Resolution open => fixed
2019-04-26 21:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/faf0314ec02f4a619765fe27e3f22a6695c118e7 [^]
2019-04-29 13:14 marvintm Note Added: 0111369
2019-04-29 13:14 marvintm Status resolved => new
2019-04-29 13:14 marvintm Resolution fixed => open
2019-04-29 20:16 hgbot Checkin
2019-04-29 20:16 hgbot Note Added: 0111374
2019-04-29 20:17 hgbot Status new => resolved
2019-04-29 20:17 hgbot Resolution open => fixed
2019-04-29 20:17 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/faf0314ec02f4a619765fe27e3f22a6695c118e7 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/491e047df8d99a18f5868d1565d85549aac28f95 [^]
2019-04-29 20:17 hgbot Checkin
2019-04-29 20:17 hgbot Note Added: 0111375
2019-04-29 20:17 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/491e047df8d99a18f5868d1565d85549aac28f95 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/c188e7072d9a3b4078383d3141de8b743a34c504 [^]
2019-05-06 11:35 guilleaer Review Assigned To => guilleaer
2019-05-06 11:35 guilleaer Status resolved => closed
2019-05-06 11:35 guilleaer Fixed in Version => RR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker